<?php

namespace App\ViewModels\Orcamento\OrcamentoClienteUpdateViewModel;

use App\Utils\Entity;

class OrcamentoClienteUpdateViewModel extends Entity {
	protected $id;
	protected $idStatus;
	protected $idUnidade;
	protected $idCliente;
	protected $idPet;
	protected $valor;
	protected $validade;
	protected $criadoPor;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $atualizadoPor;
	protected $dataAtualizacao;
	protected $horaAtualizacao;

	public static function builder(): OrcamentoClienteUpdateViewModelBuilder {

		return new OrcamentoClienteUpdateViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId() {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdStatus() {

		return $this->idStatus;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->idUnidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdCliente() {

		return $this->idCliente;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdPet() {

		return $this->idPet;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criadoPor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->dataCriacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->horaCriacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAtualizadoPor() {

		return $this->atualizadoPor;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getDataAtualizacao() {

		return $this->dataAtualizacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraAtualizacao() {

		return $this->horaAtualizacao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $idStatus
	 */
	public function setIdStatus($idStatus) {

		$this->idStatus = $idStatus;

	}

	/**
	 *
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade) {

		$this->idUnidade = $idUnidade;

	}

	/**
	 *
	 * @param mixed $idCliente
	 */
	public function setIdCliente($idCliente) {

		$this->idCliente = $idCliente;

	}

	/**
	 *
	 * @param mixed $idPet
	 */
	public function setIdPet($idPet) {

		$this->idPet = $idPet;

	}

	/**
	 *
	 * @param mixed $criadoPor
	 */
	public function setCriadoPor($criadoPor) {

		$this->criadoPor = $criadoPor;

	}

	/**
	 *
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao) {

		$this->dataCriacao = $dataCriacao;

	}

	/**
	 *
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao) {

		$this->horaCriacao = $horaCriacao;

	}

	/**
	 *
	 * @param mixed $atualizadoPor
	 */
	public function setAtualizadoPor($atualizadoPor) {

		$this->atualizadoPor = $atualizadoPor;

	}

	/**
	 *
	 * @param mixed $dataAtualizacao
	 */
	public function setDataAtualizacao($dataAtualizacao) {

		$this->dataAtualizacao = $dataAtualizacao;

	}

	/**
	 *
	 * @param mixed $horaAtualizacao
	 */
	public function setHoraAtualizacao($horaAtualizacao) {

		$this->horaAtualizacao = $horaAtualizacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;

	}

	/**
	 *
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;

	}
	/**
	 * @return mixed
	 */
	public function getValidade() {

		return $this->validade;
	}


	/**
	 * @param mixed $validade
	 */
	public function setValidade($validade) {

		$this->validade = $validade;
	}



}

